﻿@{
    ViewBag.Title = "Index";
}


<div class="page-header">
    <div class="page-title">
        <h3>Promo</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.Promo.Add())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add Promo</div>
            </a>
        </li>
        @*<li>
            <a href="@Url.Action(MVC.Promo.Detail())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Detail Promo</div>
            </a>
        </li>*@
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Promo</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachPromo", City = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllPromo")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>


@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllPromo';
                var pagingUrl = '@Url.Action(MVC.Promo.GridGetAllPromoPager())';

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachPromo')
                });
            }())
    </script>
}